## mx4j.tools.adaptor.rmi.jrmp
Interface JRMPAdaptorMBean

All Superinterfaces:
  RMIAdaptorMBean

All Known Implementing Classes:
  JRMPAdaptor

public interface JRMPAdaptorMBean
extends RMIAdaptorMBean

Management interface for the JRMPAdaptor MBean.

Version:
  $Revision: 1.3 $

Method Summary
`int` `getPort()` Returns the RMI port on which the adaptor's remote object is exported to
`java.lang.String` `getSSLFactory()` Returns the ObjectName of the SSL ServerSocket factory MBean used by this adaptor for secure invocations.
`void` `setPort(int port)` Sets the RMI port on which the adaptor's remote object will be exported to.
`void` `setSSLFactory(java.lang.String factory)` Sets the ObjectName of the SSL ServerSocket factory MBean that will be used by this adaptor for secure invocations.

Methods inherited from interface mx4j.tools.adaptor.rmi.RMIAdaptorMBean
`clearJNDIProperties, clearNamingProperties, getHostAddress, getHostName, getJNDIName, getJNDIProperties, getNamingProperties, getProtocol, isRunning, putJNDIProperty, putNamingProperty, setJNDIName, start, stop`

Method Detail

### getPort

    public int getPort()

  Returns the RMI port on which the adaptor's remote object is exported to

  See Also:
    `setPort(int)`

### setPort

    public void setPort(int port)

  Sets the RMI port on which the adaptor's remote object will be exported to.
  This method can be called only if this adaptor is not running.

  See Also:
    `getPort()`

### getSSLFactory

    public java.lang.String getSSLFactory()

  Returns the ObjectName of the SSL ServerSocket factory MBean used by this adaptor for secure invocations.

### setSSLFactory

    public void setSSLFactory(java.lang.String factory)

  Sets the ObjectName of the SSL ServerSocket factory MBean that will be used by this adaptor for secure invocations.
  This method can be called only if this adaptor is not running.

Copyright © 2001-2003 MX4J Team. All Rights Reserved.